libzypp 17.37.10

zypp::DtorReset::Impl< TVar, TVal > Struct Template Reference

Requires TVal being copy constructible, and assignment TVar = TVal defined. More...

## Public Member Functions
| Impl (TVar &var_r, const TVal &val_r)
| ~Impl ()

## Public Attributes
TVar & | _var
TVal | _val

## Detailed Description

template<class TVar, class TVal>
struct zypp::DtorReset::Impl< TVar, TVal >

Requires TVal being copy constructible, and assignment TVar = TVal defined.

Definition at line 67 of file dtorreset.h.

## Constructor & Destructor Documentation

## ◆ Impl()

template<class TVar, class TVal>

zypp::DtorReset::Impl< TVar, TVal >::Impl | ( | TVar & | var_r,
|  | const TVal & | val_r )
| inline

Definition at line 69 of file dtorreset.h.

## ◆ ~Impl()

template<class TVar, class TVal>

zypp::DtorReset::Impl< TVar, TVal >::~Impl | ( |  | ) |
| inline

Definition at line 73 of file dtorreset.h.

## Member Data Documentation

## ◆ _var

template<class TVar, class TVal>

TVar& zypp::DtorReset::Impl< TVar, TVal >::_var

Definition at line 75 of file dtorreset.h.

## ◆ _val

template<class TVar, class TVal>

TVal zypp::DtorReset::Impl< TVar, TVal >::_val

Definition at line 76 of file dtorreset.h.

The documentation for this struct was generated from the following file:

- zypp-core/base/dtorreset.h